nxt.http.callers

## Class GetExchangesByOfferCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetExchangesByOfferCall>
  - - nxt.http.callers.GetExchangesByOfferCall

-     public class GetExchangesByOfferCall
      extends APICall.Builder<GetExchangesByOfferCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetExchangesByOfferCall` | `create()`
    `GetExchangesByOfferCall` | `firstIndex(int firstIndex)`
    `GetExchangesByOfferCall` | `includeCurrencyInfo(boolean includeCurrencyInfo)`
    `GetExchangesByOfferCall` | `lastIndex(int lastIndex)`
    `GetExchangesByOfferCall` | `offer(long offer)`
    `GetExchangesByOfferCall` | `offer(java.lang.String offer)`
    `GetExchangesByOfferCall` | `requireBlock(java.lang.String requireBlock)`
    `GetExchangesByOfferCall` | `requireLastBlock(java.lang.String requireLastBlock)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetExchangesByOfferCall create()

    - #### requireLastBlock

          public GetExchangesByOfferCall requireLastBlock(java.lang.String requireLastBlock)

    - #### offer

          public GetExchangesByOfferCall offer(java.lang.String offer)

    - #### offer

          public GetExchangesByOfferCall offer(long offer)

    - #### firstIndex

          public GetExchangesByOfferCall firstIndex(int firstIndex)

    - #### lastIndex

          public GetExchangesByOfferCall lastIndex(int lastIndex)

    - #### includeCurrencyInfo

          public GetExchangesByOfferCall includeCurrencyInfo(boolean includeCurrencyInfo)

    - #### requireBlock

          public GetExchangesByOfferCall requireBlock(java.lang.String requireBlock)